using Greg.XmlEditor.Business;
using Greg.XmlEditor.Model;

namespace Greg.XmlEditor.Presentation.Presenters
{
	public class SchemaPresenter : ChildDocumentPresenterBase
	{
		private readonly Schema schema;
		private readonly IDocumentService documentService;

		public SchemaPresenter(Schema schema, DocumentPresenter document, IDocumentService documentService)
			: base(schema, document)
		{
			this.schema = schema;
			this.documentService = documentService;
		}

		public override void Open(string fileName)
		{
			this.documentService.Load(this.schema, fileName);
			this.RefreshProperties();
		}

		public override void Save(string fileName)
		{
			this.schema.Text = this.Text;
			this.documentService.Save(this.schema, fileName);
			this.FullPath = fileName;
			this.RefreshProperties();
		}
	}
}